Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class PropertyValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.property.PropertyValidationException

All Implemented Interfaces
  Serializable

    public class PropertyValidationException

extends ApplicationException

Application exception to signify that a given property did not match its corresponding PropertyDefinition.

See Also
  Serialized Form

Constructor Summary
`PropertyValidationException()`
`PropertyValidationException(String message)` Constructor
`PropertyValidationException(String message, Throwable t)` Constructor
`PropertyValidationException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValidationException

    public PropertyValidationException()

### PropertyValidationException

    public PropertyValidationException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### PropertyValidationException

    public PropertyValidationException(String message,
                                       Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### PropertyValidationException

    public PropertyValidationException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved